Package opennlp.tools.util.model

## Enum ModelType

- java.lang.Object
- - java.lang.Enum<ModelType>
  - - opennlp.tools.util.model.ModelType

- All Implemented Interfaces:
    `Serializable`, `Comparable<ModelType>`

      public enum ModelType
      extends Enum<ModelType>

  Enumeration of supported model types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `MAXENT` |
    `PERCEPTRON` |
    `PERCEPTRON_SEQUENCE` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ModelType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ModelType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MAXENT

          public static final ModelType MAXENT

    - #### PERCEPTRON

          public static final ModelType PERCEPTRON

    - #### PERCEPTRON_SEQUENCE

          public static final ModelType PERCEPTRON_SEQUENCE

  - ### Method Detail

    - #### values

          public static ModelType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ModelType c : ModelType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ModelType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null